<?php
$test_file = 'test.txt';
$test_directory = './test_dir';
$test_file_path = './' . $test_directory . '/' . $test_file;

// Create Test-Directory and Test-File
if(!is_dir($test_directory)) {
   @mkdir($test_directory) or die('ERROR 01: CAN NOT CREATE DIRECTORY ' . $test_directory  . ' !!');
}
if(!file_exists($test_file_path)) {
   @touch($test_file_path) or die('ERROR 02: CAN NOT CREATE FILE ' . $test_file_path  . ' !!');
}

$array1 = @stat($test_file_path) or die('ERROR 03: CAN NOT CREATE ARRAY1 !!');
$owner_id =$array1[4];
$group_id = $array1[5];

$owner_name = 'no value';
$owner_name_color = ' style="color:#FF0000;"';
$output_ls_1 = 1;
if($array2 = @posix_getpwuid($owner_id)) {
   $array2_count = count($array2);
   for($x=0; $x<$array2_count; $x++) {
      $key1 = key($array2);
      if(strcasecmp($key1, "name") == 0) {
         $owner_name = $array2[$key1];
         $owner_name_color = '';
         $output_ls_1 = 0;
         break;
      }
       next($array2);
   }
}

$group_name = 'no value';
$group_name_color = ' style="color:#FF0000;"';
$output_ls_2 = 1;
$output_ls_2=1;
if($array3 = @posix_getgrgid($group_id)) {
   $array3_count = count($array3);
   for($x=0; $x<$array3_count; $x++) {
      $key2 = key($array3);
      if(strcasecmp($key2, "name") == 0) {
         $group_name = $array3[$key2];
         $group_name_color = '';
         $output_ls_2 = 0;
         break;
      }
      next($array3);
   }
}

$output_content_color = ' style="font-size:12px;"';
$output_content = '';
if(!empty($output_ls_1) || !empty($output_ls_2)) {
   $output = '<b>OUTPUT-LS: </b>';
   $output_ls = exec("ls -l $test_directory");
  if($output_ls == "") {
     $output_ls = 'no value';
     $output_content_color = ' style="font-size:12px; color:#FF0000;"';
  }
  $output_content = $output . $output_ls;
}

// Test-File, Test-Directory: to dertimate permission and erasing
$permission_file = 'no value';
$file_perm_color = ' style="color:#FF0000;"';
if(file_exists($test_file_path)) {
	$perm_file = @fileperms($test_file_path) or die('ERROR 04: CAN NOT TO DETECT PERMISSION - ' . $test_file_path  . ' !!');
	$decoct_perm_file = decoct($perm_file);
	$permission_file = substr($decoct_perm_file, -4);
	$file_perm_color = '';
   @unlink($test_file_path) or die('ERROR 05: CAN NOT DELETE FILE »' . $test_file_path  . '« !!');
}
$permission_directory = 'no value';
$directoy_perm_color = ' style="color:#FF0000;"';
if(is_dir($test_directory)) {
	$perm_directory = @fileperms($test_directory) or die('ERROR 06: CAN NOT TO DETECT PERMISSION - ' . $test_directory  . ' !!');
	$decoct_perm_directory = decoct($perm_directory);
	$permission_directory = substr($decoct_perm_directory, -4);
	$directoy_perm_color = '';
   @rmdir($test_directory) or die('ERROR 07: CAN NOT DELETE DIRECTORY ' . $test_directory  . ' !!');
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Owner and Group</title>
</head>
<body>
<table width="500" align="center" border="0">
  <tr>
    <td>
      <table width="100%" cellpadding="10" cellspacing="2" border="1" align="center">
        <tr style="text-align:center;">
          <th colspan="2">OWNER AND GROUP</th>
        </tr>
        <tr>
         <td width="120">OWNER:</td>
         <td<?php echo $owner_name_color; ?>><?php echo $owner_name; ?></td>
        </tr>
        <tr>
         <td>GROUP:</td>
         <td<?php echo $group_name_color; ?>><?php echo $group_name; ?></td>
        </tr>
        <tr>
         <td colspan="2"<?php echo $output_content_color; ?>><?php echo $output_content; ?></td>
        </tr>
      </table>
    </td>
  </tr>
  <tr>
    <td>
      <table width="100%" cellpadding="10" cellspacing="2" border="1" align="center">
        <tr style="text-align:center;">
          <th colspan="2">DEFAULT-PERMISSION</th>
        </tr>
        <tr>
         <td width="120">DIRECTORY:</td>
         <td<?php echo $directoy_perm_color; ?>><?php echo $permission_directory; ?></td>
        </tr>
        <tr>
         <td>FILE:</td>
         <td<?php echo $file_perm_color; ?>><?php echo $permission_file; ?></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
</body>
</html>
